{
  "description": "NetworkPolicyPort describes a port to allow traffic on",
  "properties": {
    "endPort": {
      "description": "If set, indicates that the range of ports from port to endPort, inclusive, should be allowed by the policy. This field cannot be defined if the port field is not defined or if the port field is defined as a named (string) port. The endPort must be equal or greater than port.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "port": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.util.intstr.IntOrString",
      "description": "The port on the given protocol. This can either be a numerical or named port on a pod. If this field is not provided, this matches all port names and numbers. If present, only traffic on the specified protocol AND port will be matched."
    },
    "protocol": {
      "description": "The protocol (TCP, UDP, or SCTP) which traffic must match. If not specified, this field defaults to TCP.",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/networkpolicyport/networking/v1"
}